=== requirements.txt ===
# SPDX-FileCopyrightText: 2024 KUNBUS GmbH
#
# SPDX-License-Identifier: GPL-2.0-or-later

# Build dependencies
pip-licenses
Pyinstaller
pytest-cov
setuptools
wheel

# Runtime dependencies, must match install_requires in setup.py
custom_rap_installer
paho-mqtt >= 1.0, < 2.0.0
revpimodio2 >= 2.6.0
