=== conf.d/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 KUNBUS GmbH
#
# SPDX-License-Identifier: GPL-2.0-or-later

install(FILES 99-revpi.conf
	DESTINATION ${CMAKE_INSTALL_SYSCONFDIR}/NetworkManager/conf.d/
)
