=== docs/CMakeLists.txt ===
# SPDX-FileCopyrightText: KUNBUS GmbH <support@kunbus.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later

install(FILES piSerial.8
  DESTINATION ${CMAKE_INSTALL_MANDIR}/man8/
)
