=== firmware/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 KUNBUS GmbH
#
# SPDX-License-Identifier: GPL-2.0-or-later

install(FILES brcmfmac43455-sdio.kunbus,revpi-flat.bin brcmfmac43455-sdio.kunbus,revpi-flat.clm_blob brcmfmac43455-sdio.kunbus,revpi-flat.txt
  DESTINATION /usr/lib/firmware/brcm/
)
