=== changelog ===
glibc (2.36-9+rpt2+deb12u13) bookworm; urgency=medium

  * widevine patches from libreelec
    - https://github.com/LibreELEC/LibreELEC.tv/tree/41ca868/packages/devel/glibc/patches/arm
    - glibc-HACK-Don-t-check-GLIBC_ABI_DT_RELR-support-for-Chrom.patch
    - glibc-tls-libwidevinecdm.so-since-4.10.2252.0-has-TLS-with.patch
  * Update glibc-HACK-Don-t-check-GLIBC_ABI_DT_RELR-support-for-Chrom.patch
    - search for libwidevine instead of libwidevine.so substring to handle
      our use of libwidevine_real.so on arm64

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 08 Oct 2025 13:49:58 +0100

glibc (2.36-9+deb12u13) bookworm; urgency=medium

  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fix error reporting (false negatives) in SGID tests
    - Fix double-free after allocation failure in regcomp (GLIBC-SA-2025-0005
      / CVE-2025-8058).  Closes: #1109803.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 25 Aug 2025 21:11:05 +0200

glibc (2.36-9+deb12u12) bookworm; urgency=medium

  * d/p/local-revert-aarch64-use-prefer_sve_ifuncs-for-sve-memset.diff: revert
    upstream commit "AArch64: Use prefer_sve_ifuncs for SVE memset" as
    upstream commit "AArch64: Check kernel version for SVE ifuncs" has been
    reverted in 2.36-9+deb12u9.

 -- Aurelien Jarno <aurel32@debian.org>  Mon, 02 Jun 2025 22:53:56 +0200

glibc (2.36-9+deb12u11) bookworm; urgency=medium

  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Fixed incorrect LD_LIBRARY_PATH search in dlopen for static setuid
      binaries (GLIBC-SA-2025-0002 / CVE-2025-4802).
    - Improve memory layout of structures in exp/exp10/expf functions.
    - Add an SVE implementation of memset on aarch64.
    - Improve generic implementation of memset on aarch64.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 29 May 2025 11:41:11 +0200

glibc (2.36-9+deb12u10) bookworm; urgency=medium

  * debian/patches/git-updates.diff: update from upstream stable branch:
    - Change ldconfig auxcache magic number.
    - Ensure data passed to the rseq syscall are properly initialized.
    - Avoid integer truncation when parsing CPUID data with large cache sizes,
      fixing a memcpy/memmove when running under the FreeBSD's bhyve
      hypervisor.
    - Optimize log2/expm1/log1p math functions with FMA.
    - Fix missing cache information when running under Azure TDX hypervisor.
    - Fix TLS performance degradation after dlopen() usage.
    - Fix memset performance for unaligned destinations causing additional
      loop iterations.
    - Fixes a buffer overflow when printing assertion failure message
      (GLIBC-SA-2025-0001 / CVE-2025-0395).

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 06 Mar 2025 23:46:53 +0100

glibc (2.36-9+deb12u9) bookworm; urgency=medium

  * debian/testsuite-xfail-debian.mk: mark tst-support_descriptors as XFAIL,
    due to sbuild bug #1070003.
  * debian/patches/localedata/git-locale-hr_HR-euro.diff: change Croatian
    locale to use Euro as currency.
  * debian/patches/git-updates.diff: update from upstream stable branch:
    - resolv: do not ignore short error responses (as generated by e.g.
      Unbound) to avoid timeouts.
    - resolv: fix timeouts when single-request mode is enabled in resolv.conf.
    - resolv: fix reloading resolv.conf when a nameserver has been
      automatically switched to single-request mode.
    - mremap(): fix support for the MREMAP_DONTUNMAP option.
    - fortification: fix name space violation in fortify wrappers.
    - vfscanf(): fix matches longer than INT_MAX.
    - ungetc(): fix uninitialized read when putting into unused streams.
    - ungetc(): fix backup buffer leak on program exit.
  * patches/arm64/local-revert-aarch64-check-kernel-version-for-sve-ifuncs.diff:
    revert upstream commit as it changes the GLIBC_PRIVATE ABI, causing
    crashes with static binaries using dlopened NSS functions.  Closes:
    #1083095.

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 01 Nov 2024 13:42:20 +0100

glibc (2.36-9+deb12u8) bookworm; urgency=medium

  * debian/patches/git-updates.diff: update from upstream stable branch:
    - debian/patches/kfreebsd/submitted-auxv.diff: refreshed.
    - debian/patches/any/local-CVE-2024-2961-iso-2022-cn-ext.diff: upstreamed.
    - debian/patches/any/local-CVE-2024-33599-nscd.diff: upstreamed.
    - debian/patches/any/local-CVE-2024-33600-nscd.diff: upstreamed.
    - debian/patches/any/local-CVE-2024-33601-33602-nscd.diff: upstreamed.
    - Fixes ffsll() performance issue depending on code alignment.
    - Fixes memmove/memset on sparc32.
    - Fixes pthread_cancel on sparc32.
    - Fixes a possible crash in _dl_start_user on arm32.
    - Fixes poor malloc/free performance due to lock contentions between
      threads when using core pinning.
    - Uses 64-bit time_t in testsuite on 32-bit systems.
    - Fixes rseq support when built against newer kernel headers.
    - Performance improvements for string functions on arm64.
    - Disables arm64 SVE functions on kernel <= 6.2.0 due to performance
      issues.
    - Fixes ld.so crash on powerpc64* when built with GCC 14.
    - Fixes ld.so crash on amd64 when built with APX enabled.
    - Fixes __WORDSIZE definition on sparc32 with sparcv9.
    - Fixes getutxent() on 32-bit architecture with _TIME_BITS=64.
    - Fixes y2038 regression in nscd following CVE-2024-33601 and
      CVE-2024-33602 fix.
    - Fixes build with --enable-hardcoded-path-in-tests with newer linkers.
    - Fixes crash in wcsncmp() in z13/vector-optimized s390 implementation.
    - Fixes rseq extension mechanism.
    - Fixes misc/tst-preadvwritev2 and misc/tst-preadvwritev64v2 with kernel
      6.9+.
    - Fixes freeing uninitialized memory in libc_freeres_fn().  Closes:
      #1073916.

 -- Aurelien Jarno <aurel32@debian.org>  Thu, 15 Aug 2024 11:10:46 +0200

glibc (2.36-9+deb12u7) bookworm-security; urgency=medium


