=== debian/changelog ===
initramfs-tools (0.142+rpt4+deb12u3) bookworm; urgency=medium

  * Change default RUNSIZE to 20%

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 21 Jul 2025 08:35:00 +0100

initramfs-tools (0.142+rpt3+deb12u3) bookworm; urgency=medium

  * Run zstd with --single-thread on devices with < 1GB RAM
  * If update_initramfs=yes, upate initramfs for all flavours of the
    latest rpi kernel version
  * Handle older ABI version format

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 12 May 2025 11:51:30 +0100

initramfs-tools (0.142+deb12u3) bookworm; urgency=medium

  * Re-upload with clean debian directory

 -- Ben Hutchings <benh@debian.org>  Sat, 26 Apr 2025 21:17:01 +0200

initramfs-tools (0.142+deb12u2) bookworm; urgency=medium

  * [37a6e9e] hook-functions: Expand documentation of copy_exec and copy_file
  * [31c50bc] hook-functions: Restore copy_file's handling of target ending in
    slash (Closes: #1082647)
  * [d6d1883] hook-functions: Exclude usr-merge symlinks in copy_file
    (Closes: #1088959)
  * [38cf275] autopkgtest: Add tests for copy_file function
  * [065a03f] hook-functions: Add reset drivers when MODULES=dep
    (Closes: #1027458)

 -- Ben Hutchings <benh@debian.org>  Thu, 24 Apr 2025 17:45:07 +0200

initramfs-tools (0.142+deb12u1) bookworm; urgency=medium

  [ Ben Hutchings ]
  * [522d475] d/salsa-ci.yml: Set RELEASE to bookworm
  * [05e5fb9] hook_functions: Fix copy_file with source including a directory
    symlink (Closes: #1076539)
  * [f52ae2d] hook-functions: copy_file: Canonicalise target filename
    (Closes: #1079276)

  [ szubersk ]
  * [d502a7f] Fix/ignore ShellCheck findings

  [ Benjamin Drung ]
  * [ce185c3] test: Fix too small ext2 block count
  * [cd5e8e8] install hid-multitouch module for Surface Pro 4 Keyboard
    (LP: #1772094)

  [ Arnaud Rebillout ]
  * [4cc2bc7] Add hyper-keyboard module, needed to enter LUKS password in
    Hyper-V (Closes: #1028511)

  [ Alper Nebi Yasak ]
  * [5d28dad] hook-functions: auto_add_modules: Add onboard_usb_hub,
    onboard_usb_dev

 -- Ben Hutchings <benh@debian.org>  Sun, 25 Aug 2024 01:14:50 +0200

initramfs-tools (0.142) unstable; urgency=medium

  [ Dan Streetman ]
  * [8c9840e] hooks/fsck: always include fsck binary (LP: #1917780)

  [ Dimitri John Ledkov ]
  * [d8c5864] mkinitramfs: decompress compressed kernel modules

  [ szubersk ]
  * [e447e91] resume: Don't resume from a swap device on a ZVOL

  [ Johannes Schauer Marin Rodrigues ]
  * [834d01d] hook-functions: Add pwm-imx27, nwl-dsi, ti-sn65dsi86,
    imx-dcss, mxsfb, mux-mmio and imx8mq-interconnect for MNT Reform 2
    panel/backlight.

  [ Rich Ercolani ]
  * [50d945a] Add support for specifying compression level

  [ Ben Hutchings ]
  * [5bf479d] hook-functions: Remove support for ieee1394 and i2o
  * [9a4d579] hook-functions: auto_add_modules: Include UFS drivers from
    drivers/ufs/

  [ Sven Joachim ]
  * [c064b9e] Copy modules.builtin.modinfo into initramfs (Closes: #1014319)

 -- Ben Hutchings <benh@debian.org>  Tue, 12 Jul 2022 23:51:34 +0200

initramfs-tools (0.141) unstable; urgency=medium

  [ Hideki Yamane ]
  * [742c8ee] Use zstd as default compression for initramfs (Closes: #976054)
  * [b6ccfb6] Recommends: s/pigz/zstd/
  * [1063c43] Add check whether zstd support kernel (>= 5.9) and
    CONFIG_RD_ZSTD=y or not
  * [71c29fd] As comparison, compression level 9 is better.
  * [9cee2f0] Consider SOURCE_DATE_EPOCH option for zstd

  [ Alper Nebi Yasak ]
  * [db7aec4] hook-functions: Include io-domain in dw_mmc-rockchip hidden
    dependencies

  [ Michael Biebl ]
  * [7ec5e26] Setup /dev/fd and /dev/std{in,out,err} after mounting devtmpfs
    (Closes: #981302)

  [ Dan Streetman ]
  * [116b532] hook-functions: check for dir before running find on it
    (LP: #1927779)

  [ Vagrant Cascadian ]
  * [a5d9b32] hook-functions: Add pwm-rockchip to "fb" modules for Pinebook PRO
    LCD display.
  * [7e15676] hook-functions: Add usb/typec/tcpm modules to support keyboard on
    Pinebook PRO.
  * [5f17c03] hook-functions: Add panel-edp to "fb" modules for Pinebook PRO
    LCD display.

  [ Ben Hutchings ]
  * [26f2f00] Only run shellcheck in Salsa CI (Closes: #992798)
  * [bd1519b] Fix shellcheck warning "Avoid x-prefix in comparisons ..."
  * [4937118] hook-functions: Fix shellcheck warning "Expansions inside ${..}
    need to be ..."
  * [883f4ad] mkiniramfs: Log warning about missing compressor to stderr
  * [035190c] mkinitramfs: Generalise kernel compression support check
  * [58e05e4] d/salsa-ci.yml: Disable non-arch:all builds
  * [5679e26] debian/tests/control: Add zstd as dependency to avoid (fatal)
    warnings
  * [e856af4] hook-functions: Support network boot via USB Ethernet adapters
    (Closes: #980788)
  * [ec5c6c7] scripts/functions: Refactor device name logic in
    configure_networking
  * [80eddcf] scripts/functions: Make configure_networking wait for device
    specified any way (Closes: #911727)

  [ Ben Love ]
  * [02dc65f] Fully-qualify modprobe calls to avoid busybox

  [ Ariel D'Alessandro ]
  * [8a6f73c] hook-functions: Add nvmem-imx-ocotp driver module to network boot

 -- Ben Hutchings <benh@debian.org>  Sun, 10 Apr 2022 23:39:45 +0200

initramfs-tools (0.140) unstable; urgency=medium

  [ Norbert Lange ]
  * mkinitramfs: use temporary file for uncompressed cpio

  [ Michael Prokop ]
  * mkinitramfs: report actually requested compress util if it's not present

  [ Ben Hutchings ]
  * init: Mount /dev without the noexec option

  [ dann frazier ]
  * configure_networking(): Wait for specified network device (Closes: #965935)

  [ Bastian Blank ]
  * Include all PCI controller modules
  * Include all reset controller modules

 -- Bastian Blank <waldi@debian.org>  Sat, 13 Mar 2021 19:13:18 +0100

initramfs-tools (0.139) unstable; urgency=medium

  * [9679f0c] debian/tests: Run amd64 tests on either amd64 or generic flavour
  * [0099040] debian/tests/control: Mark all amd64 tests as

