=== piControl/debian/changelog ===
picontrol (1.3.1-1) stable; urgency=medium

  * Make CROSS_COMPILE optionally configureable from environment
  * Allow spaces (two commands) in CROSS_COMPILE environment variable
  * piControl: Dont use wrong offset for default values
  * debia/control: Correct Maintainer entry.

 -- Lino Sanfilippo <l.sanfilippo@kunbus.com>  Tue, 16 Mar 2021 13:17:05 +0100

picontrol (1.3.0-1) stable; urgency=medium

  * Add RevPi MIO support

 -- Philipp Rosenberger <p.rosenberger@kunbus.com>  Wed, 10 Mar 2021 14:06:05 +0100

picontrol (1.3.0-1~0flat1) stable; urgency=medium

  * Beta release for KUNBUS RevPi Flat.
  * Add the revpi flat name to the list of known module names.

 -- Philipp Rosenberger <p.rosenberger@kunbus.com>  Mon, 26 Oct 2020 12:43:41 +0100

picontrol (1.2.1-1) stable; urgency=medium

  * Show names of the new Connect modules

 -- Kunbus <admin@kunbus.de>  Tue, 29 May 2018 09:15:00 +0200

picontrol (1.2.0-2) stable; urgency=medium

  * Install ioctl manual page

 -- Kunbus <admin@kunbus.de>  Wed, 04 Apr 2018 13:15:00 +0200

picontrol (1.2.0-1) stable; urgency=medium

  * Some new ioctl calls
  * new manual page

 -- Kunbus <admin@kunbus.de>  Fri, 23 Mar 2018 13:50:00 +0200

picontrol (1.1.1-1) stable; urgency=medium

  * Bugfix in piControlIf

 -- Kunbus <admin@kunbus.de>  Wed, 20 Sep 2017 09:50:28 +0200

picontrol (1.1.0-1) stable; urgency=medium

  * Initial release

 -- Kunbus <admin@kunbus.de>  Fri, 27 Jan 2017 13:50:00 +0100
