=== piControl/debian/control ===
Source: picontrol
Section: contrib/electronics
Priority: extra
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9)
Maintainer: KUNBUS GmbH <support@kunbus.com>
Homepage: https://revolution.kunbus.com/
Vcs-Git: https://github.com/RevolutionPi/piControl

Package: pitest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Revolution Pi command line utility
 Interact with the in-kernel piControl process to list I/O devices and
 gateway devices attached to a RevPi Core, read and write values in the
 process image and reset the piControl process.  Comes with full source
 code.  Revolution Pi is a set of IoT products based on the Raspberry Pi
 and geared towards industrial usage.
