=== watch ===
version=4

opts="mode=git, pgpmode=none, pretty=0~git%cd.%h, repack, compression=xz" \
 https://github.com/tomba/kmsxx.git \
 HEAD
